#ifndef _COMPUTE_H
#define _COMPUTE_H

#define _GNU_SOURCE
#include <time.h>
#include <fftw3.h> 
#include <stdio.h>
#include <stdlib.h>  
#include <math.h>
#include <quadmath.h>
#include <errno.h> 
#include <float.h>  
#include <string.h>

#define N_LGODD      "-LGodd.ld"
#define N_FFTLGODD   "-fftLGodd.ld"
#define N_AK         "-ak.ld"
#define N_FFTAK      "-fftAK.ld"
#define N_S          "-S.ld"
#define N_FFTS       "-fftS.ld"
#define N_LGEVEN     "-LGeven.ld"
#define N_FFTLGEVEN  "-fftLGeven.ld"
#define N_ODDRESULT  "-oddresult"
#define N_EVENRESULT "-evenresult"

#define ALL        "ALL"
#define MKLGODD    "MKLGODD"
#define FFTLGODD   "FFTLGODD"
#define MKAK       "MKAK"
#define FFTAK      "FFTAK"
#define MKS        "MKS"
#define FFTS       "FFTS"
#define MKLGEVEN   "MKLGEVEN"
#define FFTLGEVEN  "FFTLGEVEN"
#define ODDRESULT  "ODDRESULT"
#define EVENRESULT "EVENRESULT"

int runComputation(long int q, long int primroot, int precision, const char * basename, const char * steps);
 

#endif
