#ifndef _COMPUTEQ_H
#define _COMPUTEQ_H

#define _GNU_SOURCE
#include <time.h>
#include <fftw3.h> 
#include <stdio.h>
#include <stdlib.h>  
#include <math.h>
#include <errno.h> 
#include <float.h>  
#include <string.h>

#define N_LGODD      "-LGodd.qd"
#define N_FFTLGODD   "-fftLGodd.qd"
#define N_AK         "-ak.qd"
#define N_FFTAK      "-fftAK.qd"
#define N_S          "-S.qd"
#define N_FFTS       "-fftS.qd"
#define N_LGEVEN     "-LGeven.qd"
#define N_FFTLGEVEN  "-fftLGeven.qd"
#define N_ODDRESULT  "-oddresult"
#define N_EVENRESULT "-evenresult"

#define ALL        "ALL"
#define MKLGODD    "MKLGODD"
#define FFTLGODD   "FFTLGODD"
#define MKAK       "MKAK"
#define FFTAK      "FFTAK"
#define MKS        "MKS"
#define FFTS       "FFTS"
#define MKLGEVEN   "MKLGEVEN"
#define FFTLGEVEN  "FFTLGEVEN"
#define ODDRESULT  "ODDRESULT"
#define EVENRESULT "EVENRESULT"

int runComputationq(long int q, long int primroot, int precision, const char * basename, const char * steps);

#endif
